%define fname	cssmin

Name:       python-cssmin
Summary:    A Python port of the YUI CSS compression algorithm
Version:    0.2.0
Release:    %mkrel 6
URL:        http://github.com/zacharyvoase/cssmin
Source0:    https://pypi.python.org/packages/source/c/%{fname}-%{version}.tar.gz
Group:	    Development/Python
License:    BSD
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Obsoletes:  python2-cssmin
BuildArch:  noarch

%description
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.


%package -n python3-%{fname}
Summary:  A Python port of the YUI CSS compression algorithm
%description -n python3-%{fname}
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.


%prep
%autosetup -n %{fname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python-%fname
%doc PKG-INFO
%{python2_sitelib}/%{fname}*
%{_bindir}/cssmin*

%files -n python3-%fname
%doc PKG-INFO
%{python3_sitelib}/%{fname}*
%{_bindir}/cssmin*
%{python3_sitelib}/__pycache__/cssmin.*.py*






%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 970562
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 0.2.0-5.mga6
+ Revision: 887194
- rebuild with new python-3.5

* Sun Sep 20 2015 spuhler <spuhler> 0.2.0-4.mga6
+ Revision: 882003
- added the description
- cleaned up spec
 * renamed python2-cssmin to python-cssmin

* Sun Sep 20 2015 spuhler <spuhler> 0.2.0-2.mga6
+ Revision: 881681
- removed the lines %%{pythonx_sitelib}/*egg-info
  * seems they are now in the macros

* Fri Sep 18 2015 spuhler <spuhler> 0.2.0-1.mga6
+ Revision: 880268
- first build
- imported package python-cssmin


* Mon Feb 10 2014 Martin Krizek <mkrizek@redhat.com> - 0.2.0-1
- Update to 0.2.0
- Add setuptools as requires
- Rename /usr/bin/cssmin (#1048622)

* Tue Oct 15 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-6
- Fix building on f20 and higher

* Wed Oct 09 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-5
- Add python3-setuptools as BuildRequires

* Tue Oct 08 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-4
- Describe the package in more detail

* Mon Oct 07 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.4-3
- Add python3 subpackage and modify %%check section

* Mon Oct 07 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-2
- Add python3-devel as dep
- Add check section

* Tue Oct 01 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-1
- Initial packaging
